Page MenuHomePhabricator

Disable MultimediaViewer for MIDI files
Closed, ResolvedPublic

Description

It seems that Multimedia Viewer is currently enabled for MIDI files. See for example https://en.wikipedia.org/wiki/File%3A%22April_in_Paris%22_refrain.mid

When you click on "Open in MediaViewer", it opens MV for the icon, and shows the description & licensing information for that image instead of the MIDI file.

Event Timeline

gpaumier created this task.Dec 15 2014, 8:29 PM
gpaumier raised the priority of this task from to Needs Triage.
gpaumier updated the task description. (Show Details)
gpaumier added a project: MediaViewer.
gpaumier changed Security from none to None.
gpaumier added a subscriber: gpaumier.
Tgr added a subscriber: Tgr.

It's not enabled (the whitelist is at mmv.bootstrap.js#26). Not sure how it gets confused on the file page so badly...

Gilles triaged this task as Normal priority.Dec 16 2014, 10:36 AM
Gilles added a subscriber: Gilles.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:27 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:27 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Jdlrobson lowered the priority of this task from Normal to Lowest.Nov 3 2015, 6:46 PM
Jdlrobson added a subscriber: Jdlrobson.
gpaumier removed a subscriber: gpaumier.Jul 18 2018, 6:06 PM
simon04 closed this task as Resolved.May 18 2019, 5:33 PM
simon04 claimed this task.
simon04 added a subscriber: simon04.

Has been resolved via https://gerrit.wikimedia.org/r/282211 and T132064. https://en.wikipedia.org/wiki/File%3A%22April_in_Paris%22_refrain.mid does not show the "Open in Media Viewer" button.